<p align="center">
  <img alt="ADEO Design system - Vue.js library" src="./.storybook/assets/adeo-design-system-vue-banner.svg" />
</p>

<h1 align="center">
  ADEO Design system - Vue.js
</h1>

<p align="center">
  A library of <a href="https://vuejs.org">Vue.js</a> components implementing ADEO Design system guidelines.
</p>

<p align="center">
  <a href="https://www.npmjs.com/package/@mozaic-ds/vue/v/beta">
    <img src="https://img.shields.io/npm/v/@mozaic-ds/vue/beta?label=NPM&logo=npm&color=yellow" alt="npm beta version">
  </a>
  <a href="https://github.com/adeo/mozaic-vue/blob/master/CONTRIBUTING.md">
    <img src="https://img.shields.io/badge/PRs-welcome-blue.svg?logo=github" alt="PRs welcome" />
  </a>
  <a href="https://app.slack.com/client/T4R6RCZFA/CN4K3A99R">
    <img src="https://img.shields.io/badge/Slack-mozaic_vue-611f69.svg?logo=slack" alt="Slack mozaic-vue" />
  </a>
  <a href="https://keys.adeo.com/keys/ls/space/2583429798460717/adeo-adeo-design-system">
    <img src="https://img.shields.io/badge/KEYS-Adeo_Design_System-4526ce.svg" alt="KEYS ADEO Design system" />
  </a>
</p>

## 🎨 Getting started

**ADEO Design system** is a global and collaborative design system that facilitates the designer and developer experience, enabling them to create universal interfaces perfectly aligned with the business strategy of [Adeo](https://www.adeo.com/).

## 📦 Install

To install the Vue.js library in your project, you will need to run the following command using `npm`:

```shell
$ npm i @mozaic-ds/vue@beta
```

Or with **Yarn**:

```shell
$ yarn add @mozaic-ds/vue@beta
```

## 📝 Usage

Import the styles

```typescript
// main.ts

import '@mozaic-ds/vue/style.css';
```

To import and use a component, you can proceed as follows:

```vue
<script setup lang="ts">
  import { MButton } from '@mozaic-ds/vue';
</script>

<template>
  <MButton>Button Label</MButton>
</template>
```

Find the complete list of [our components](https://github.com/adeo/mozaic-vue/tree/next/src/components).

And all the available components are showcased in our [Storybook](https://master--641e94a45750cc9b0f477973.chromatic.com/).

## 📰 Changelog

Releases are managed with **GitHub Releases**, including the changelog for each one.<br/>
Access to the [Changelog](/CHANGELOG.md) to find out about the detailed changes to each release.

## 📣 Stay in touch

- Join the [#mozaic-vue](https://app.slack.com/client/T4R6RCZFA/CN4K3A99R/) channel on **Slack**
- Join the [#mozaic-support](https://app.slack.com/client/T4R6RCZFA/CKQJZL7C4/) channel on **Slack**
- Follow our [KEYS page](https://keys.adeo.com/keys/ls/space/2583429798460717/adeo-adeo-design-system)

## 🐞 Bugs and feature requests

Have a bug or a feature request?<br/>
Please [open an issue](https://github.com/adeo/mozaic-vue/issues/new/choose) and use the template associated with your request.

However, if you are able to contribute and fix bugs, build new features, or help to improve the project documentation, feel free to do it! _(more information below)_

## ✍️ Contributing

Setup the project to start contributing.

```
// Clone the repo
$ git clone git@github.com:adeo/mozaic-vue.git

// Go to the cloned directory
$ cd mozaic-vue

// Checkout the branch you are working on
$ git checkout <branch name>

// Install dependencies
$ npm install
```

We're always looking for contributors to help us fix bugs, build features, or help us improve the documentation. If you're intersted check out our [Code of Conduct](https://github.com/adeo/mozaic-vue/wiki/Code-of-conduct) and [Contribution Guide](https://github.com/adeo/mozaic-vue/blob/master/CONTRIBUTING.md).

## 🧑‍💻 Contributors

**Owners**

**[ADEO Design system Team](https://github.com/orgs/adeo/teams/adeo-design-system)**

**Maintainers**

- **[Mohamed Mokhtari](https://github.com/mohamedMok)**
- **[Trésor Iloyi](https://github.com/tiloyi)**
- **[David Martin](https://github.com/dmartinds)**

## 📄 Licensing

This project is licensed under the Apache V2 License. See [LICENSE](LICENSE) for more information.
